{
  "name": "storage-upload",
  "version": "2.2.8",
  "description": "Micro service for uploading and image resizing files to a storage server.",
  "main": "index.js",
  "scripts": {
    "start": "node api/server.mjs",
    "start:bunyan": "node api/server.mjs | bunyan",
    "test": "set NODE_ENV=test&& eltro test/**/*.test.mjs -r dot",
    "test:linux": "NODE_ENV=test eltro 'test/**/*.test.mjs' -r dot",
    "test:watch": "npm-watch test",
    "dev": "npm-watch dev:server",
    "dev:server": "node dev.mjs | bunyan"
  },
  "watch": {
    "dev:server": {
      "patterns": [
        "api/*",
        "{index,dev}.mjs"
      ],
      "extensions": "js,mjs",
      "quiet": true,
      "inherit": true
    },
    "test": {
      "patterns": [
        "{api,test}/*"
      ],
      "extensions": "js,mjs",
      "quiet": true,
      "inherit": true
    }
  },
  "repository": {
    "type": "git",
    "url": "git+https://github.com/nfp-projects/storage-upload.git"
  },
  "author": "Jonatan Nilsson",
  "license": "WTFPL",
  "bugs": {
    "url": "https://github.com/nfp-projects/storage-upload/issues"
  },
  "homepage": "https://github.com/nfp-projects/storage-upload#readme",
  "dependencies": {
    "flaska": "^1.2.3",
    "formidable": "^1.2.2",
    "nconf-lite": "^2.0.0",
    "sharp": "^0.30.3"
  },
  "devDependencies": {
    "eltro": "^1.2.3",
    "service-core": "^3.0.0"
  }
}
